import { resolve } from 'path';
import { defineConfig } from 'vite';
// import removeConsole from 'vite-plugin-remove-console';
import vue from '@vitejs/plugin-vue';
import vueJsx from '@vitejs/plugin-vue-jsx';
import dts from 'vite-plugin-dts';
import pkg from './package.json';
import { viteStaticCopy } from 'vite-plugin-static-copy';

export default defineConfig({
  build: {
    // target: 'es2015',
    lib: {
      entry: resolve(__dirname, './src/index.ts'),
      formats: ['es'],
      fileName: 'index',
      name: 'lifePaymentComponents',
    },
    rollupOptions: {
      external: Object.keys(pkg.peerDependencies),
    },
  },
  plugins: [
    vue(),
    // jsx、tsx语法支持
    vueJsx(),

    // removeConsole({}),

    viteStaticCopy({
      targets: [
        {
          src: 'src/styles',
          dest: '.',
        },
        {
          src: 'src/assets',
          dest: '.',
        },
      ],
    }),

    dts(),
  ],
});
